Bug 1057481 - (CVE-2013-6484) CVE-2013-6484 pidgin: DoS via specially-crafted stun messages
CVE-2013-6484 pidgin: DoS via specially-crafted stun messages
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140128,repor...
: Security
Depends On: 1058238 1058239 1058240 1058242 1058243 1059049
Blocks: 1054257
  Show dependency treegraph
 
Reported: 2014-01-24 03:38 EST by Huzaifa S. Sidhpurwala
Modified: 2015-11-24 10:41 EST (History)
7 users (show)

See Also:
Fixed In Version: pidgin 2.10.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-19 16:05:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Local copy of patch (626 bytes, patch)
2014-01-27 01:17 EST, Huzaifa S. Sidhpurwala
no flags Details | Diff

  None (edit)
Description Huzaifa S. Sidhpurwala 2014-01-24 03:38:58 EST
A flaw was found in the way pidgin handled certain responses from a stun server. A remote stun server could send specially-crafted messages to pidgin causing it to crash.


Acknowledgements:

Red Hat would like to thank the Pidgin project for reporting this issue.
Comment 1 Huzaifa S. Sidhpurwala 2014-01-27 01:17:05 EST
Created attachment 855926 [details]
Local copy of patch
Comment 3 Vincent Danen 2014-01-28 15:50:40 EST
External References:

http://pidgin.im/news/security/?id=79
Comment 4 Huzaifa S. Sidhpurwala 2014-01-28 23:24:48 EST
Created pidgin tracking bugs for this issue:

Affects: fedora-all [bug 1059049]
Comment 5 errata-xmlrpc 2014-02-05 12:44:44 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2014:0139 https://rhn.redhat.com/errata/RHSA-2014-0139.html
Comment 6 Fedora Update System 2014-02-05 22:49:51 EST
pidgin-2.10.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2014-02-14 02:59:27 EST
pidgin-2.10.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.